org.hibernate.validator.internal.metadata.provider

## Class MetaDataProviderKeyedByClassName

- java.lang.Object
- - org.hibernate.validator.internal.metadata.provider.MetaDataProviderKeyedByClassName

- All Implemented Interfaces:
    MetaDataProvider
  Direct Known Subclasses:
    ProgrammaticMetaDataProvider, XmlMetaDataProvider

      public abstract class MetaDataProviderKeyedByClassName
      extends Object
      implements MetaDataProvider

  Base implementation for `MetaDataProvider`s which cache the `BeanConfiguration` by class name.
  Author:
    Gunnar Morling, Hardy Ferentschik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConstraintHelper` | `constraintHelper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataProviderKeyedByClassName(ConstraintHelper constraintHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addBeanConfiguration(Class<?> beanClass, BeanConfiguration<?> beanConfiguration)`
    `protected <T> BeanConfiguration<T>` | `createBeanConfiguration(ConfigurationSource source, Class<T> beanClass, Set<? extends ConstrainedElement> constrainedElements, List<Class<?>> defaultGroupSequence, DefaultGroupSequenceProvider<? super T> defaultGroupSequenceProvider)`
    `protected <T> BeanConfiguration<T>` | `getBeanConfiguration(Class<T> beanClass)`
    `<T> List<BeanConfiguration<? super T>>` | `getBeanConfigurationForHierarchy(Class<T> beanClass)` Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.validator.internal.metadata.provider.MetaDataProvider

      `getAnnotationProcessingOptions`

- - ### Field Detail

    - #### constraintHelper

          protected final ConstraintHelper constraintHelper

  - ### Constructor Detail

    - #### MetaDataProviderKeyedByClassName

          public MetaDataProviderKeyedByClassName(ConstraintHelper constraintHelper)

  - ### Method Detail

    - #### getBeanConfigurationForHierarchy

          public <T> List<BeanConfiguration<? super T>> getBeanConfigurationForHierarchy(Class<T> beanClass)

      Description copied from interface: `MetaDataProvider`
      Returns a list with the configurations for all types contained in the given type's hierarchy (including implemented interfaces) starting at the specified type.
      Specified by:
        `getBeanConfigurationForHierarchy` in interface `MetaDataProvider`
      Parameters:
        `beanClass` - The type of interest.
      Returns:
        A set with the configurations for the complete hierarchy of the given type. May be empty, but never `null`.

    - #### addBeanConfiguration

          protected void addBeanConfiguration(Class<?> beanClass,
                                  BeanConfiguration<?> beanConfiguration)

    - #### getBeanConfiguration

          protected <T> BeanConfiguration<T> getBeanConfiguration(Class<T> beanClass)

    - #### createBeanConfiguration

          protected <T> BeanConfiguration<T> createBeanConfiguration(ConfigurationSource source,
                                                         Class<T> beanClass,
                                                         Set<? extends ConstrainedElement> constrainedElements,
                                                         List<Class<?>> defaultGroupSequence,
                                                         DefaultGroupSequenceProvider<? super T> defaultGroupSequenceProvider)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved